<?php
use Projectify\Projectify_Helper;

class projectifyListMasonry {

	public static $args;

	/**
	 * Initiate the shortcode
	 */
	public function __construct() {
		
		add_shortcode( 'pjfy_list_masonry', array( $this, 'render' ) );

	}

	function render( $args, $content = '') {
		

		$defaults = shortcode_atts( array (
			 'post_type'  					=> 'post',
			 'post_tax'   					=> '',
			 'post_terms' 					=> '',
			 'post_number' 					=> '',
			 'post_offset' 					=> '',
			 'lm_category_show' 			=> '',
			 'lm_main_layout' 				=> '',
			 'lm_cols_number' 				=> '',
			 'lm_term_filter' 				=> '',
			 'lm_title_holder_pos' 			=> '',
			 'lm_title_holder_bg' 			=> '',
			 'lm_title_holder_animation'	=> '',
			 'lm_grid_ratio'				=> '',
			 'pjfy_lightbox'				=> '',
			 'fn_page_include'				=> '',
			 'included_posts'				=> '',
		), $args );
		
		extract( $defaults );

		self::$args = $defaults;

		$fn_post_offset 			= $args['post_offset'];

		$query_args = array(
			'post_type' 			=> $args['post_type'],
			'offset' 				=> $fn_post_offset,
			'posts_per_page' 		=> $args['post_number'],
			'post_status' 			=> 'publish',
			'order' 				=> $args['post_order'],
			'orderby' 				=> $args['post_orderby'],
		);
		
		if($included_posts != ''){
			$included_posts = explode( ',', $included_posts );
		}else{
			$included_posts = array();
		}
		$query_args['post__in'] 	= $included_posts;
		
		$post_type 			= $args['post_type'];
		$fn_page_include 	= $args['fn_page_include'];
		if($post_type == 'page'){
			if($fn_page_include == 'featured_pages'){
				$query_args['meta_query'][] = array(
					'key'       => 'pjfy-meta-box-featured',
					'value'     => 'true',
					'compare'   => '==',
				);
			}
		}
			
		
		$categories = $args['post_terms'];
		
		// since v2.3
		if($categories != ''){
			$categories = explode( ',', $categories );
			$oldArray	= array();
			$count		= 0;
			$newArray	= array();
			foreach($categories as $cat){
				if (strpos($cat, '______') !== false) {
					$cat = explode('______', $cat);
					if(array_key_exists($cat[1],$newArray)){
						array_push($newArray[$cat[1]],$cat[0]);
					}else{
						$newArray[$cat[1]] = array($cat[0]);
					}
				}else{
					$oldArray[] = $cat;
				}
			}
			if(!empty($newArray)){
				foreach($newArray as $taxonomy => $terms){
					$count++;
					if($count > 1){
						$query_args['tax_query']['relation'] = 'OR';
					}
					$query_args['tax_query'] = array(
						array(
							'taxonomy' 	=> $taxonomy,
							'field' 	=> 'slug',
							'terms' 	=> $terms
						)
					);
				}
			}
			if(!empty($oldArray)){
				if($count > 1){
					$query_args['tax_query']['relation'] = 'OR';
				}
				$query_args['tax_query'] = array(
					array(
						'taxonomy' 	=> $args['post_tax'],
						'field' 	=> 'slug',
						'terms' 	=> $oldArray
					)
				);
			}	
		}
		
		
		$projectify_post_loop = new WP_Query($query_args);
		
		if($pjfy_lightbox === 'enable'){
			$parentLight = 'projectify_fn_lightbox';
			$childLight	 = 'lightbox';
		}else{
			$parentLight = '';
			$childLight	 = '';
		}
		
		// FOR ALL VERSIONS
		$html = Projectify_Helper::projectify_open_wrap();
		$html .= '<div class="list_version"><div class="projectify_all_list_wrap '.$parentLight.' '.$args['lm_main_layout'].'" data-category-show="'.$args['lm_category_show'].'" data-cols-number="'.$args['lm_cols_number'].'" data-term-filter="'.$args['lm_term_filter'].'" data-title-holder-bg="'.$args['lm_title_holder_bg'].'" data-title-holder-pos="'.$args['lm_title_holder_pos'].'" data-title-holder-animation="'.$args['lm_title_holder_animation'].'" data-grid-ratio="'.$args['lm_grid_ratio'].'">';
		
		
		$real_img	= '<img src="'.PROJECTIFY_PLUGIN_URL.'assets/img/thumb-'.$args['lm_grid_ratio'].'.jpg" alt="" />';
		
		$fn_filter 	= '<ul class="projectify_filter">';
		$fn_filter 	.= '<li><a href="#" class="current" data-filter="*">All</a></li>';
		
		$fn_list	= '<ul class="projectify_list">';
		
		$image_holder ='';
		$post_cats3 = '';
		// foreach
		foreach ( $projectify_post_loop->posts as $key => $fn_post ) {
			setup_postdata( $fn_post );
			$post_id 			= $fn_post->ID;
			$post_permalink 	= get_permalink($post_id);
			$post_taxonomy		= Projectify_Helper::post_taxanomy($args['post_type']);
			$post_cats			= '';
			$post_cats2			= '';
			if($args['post_type'] != 'page'){
				$post_cats			= Projectify_Helper::post_term_list($post_id, $post_taxonomy[0], false, 2, ', ');
				$post_cats2			= Projectify_Helper::post_term_list_second($post_id, $post_taxonomy[0]);
			}
			
			$image 				= get_the_post_thumbnail_url( $post_id, 'full' );
			$title_holder		= '<div class="title_holder"><div class="inner"><div class="in"><p><span>'.$post_cats.'</span></p><h3><a href="'.$post_permalink.'">'.$fn_post->post_title.'</a></h3></div></div></div>';
			
			if($pjfy_lightbox === 'enable'){
				$imageURLThumb 	= get_the_post_thumbnail_url( $post_id, 'thumbnail' );
				$lightboxImg	= '<img class="pjfy_light_img" src="'.$imageURLThumb.'" alt="" />';
			}else{
				$lightboxImg 	= '';
				$imageURLThumb 	= '';
			}
			
			
			if($args['lm_main_layout'] == 'masonry'){
				$image_holder = '<img src="'.$image.'" alt="" />';
			}else if($args['lm_main_layout'] == 'grid'){
				$image_holder = '<div class="img_holder">'.$real_img.'<div class="abs_img" data-bg-img="'.$image.'"></div></div>';
			}
			$item = '<div class="item '.$childLight.'" data-src="'.$image.'">'.$lightboxImg.$image_holder.$title_holder.'</div>';
			$fn_list .= '<li class="'.$post_cats2.'">'.$item.'</li>';
			$post_cats3 .= $post_cats2.' ';
			wp_reset_postdata();
		}
		$removedLastCharacter 	= rtrim($post_cats3,", "); 				// remove last character from string
		$stringToArray 			= explode(" ", $removedLastCharacter);	// string to array
		$removeUniqueElements 	= array_unique($stringToArray);			// remove unique elements from array
		
		foreach($removeUniqueElements as $cat){
			$fn_filter 	.= '<li><a href="#" data-filter=".'.$cat.'">'.$cat.'</a></li>';
		}
		
		$fn_list 	.= '</ul>';
		$fn_filter 	.= '</ul>';
		$fn_filter 	.= '<div class="fn_clearfix"></div>';
		
		$html .= $fn_filter.$fn_list;
		$html .= '</div></div>';
		$html .= Projectify_Helper::projectify_close_wrap();

		return $html;

	}
	

}

new projectifyListMasonry();